de.caff.generics.converter

## Class MapValueConverter<K,VT,VS>

- java.lang.Object
- - de.caff.generics.converter.MapValueConverter<K,VT,VS>

- All Implemented Interfaces:
    Function1<java.util.Map.Entry<K,VT>,java.util.Map.Entry<K,VS>>, java.util.function.Function<java.util.Map.Entry<K,VS>,java.util.Map.Entry<K,VT>>

      public class MapValueConverter<K,VT,VS>
      extends java.lang.Object
      implements Function1<java.util.Map.Entry<K,VT>,java.util.Map.Entry<K,VS>>

  A map entry converter which converts the value type in a map.
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapValueConverter(Function1<VT,VS> valueConverter)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map.Entry<K,VT>` | `apply(java.util.Map.Entry<K,VS> object)` Convert an object to another type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.function.Function1

      `after, andThen, applyNonNull, applyOrDefault, fallback, fallback, from, from, nonFragile, nonFragile, nonFragileX, partial, withFallback`

    - ### Methods inherited from interface java.util.function.Function

      `compose, identity`

- - ### Constructor Detail

    - #### MapValueConverter

          public MapValueConverter(Function1<VT,VS> valueConverter)

      Constructor.
      Parameters:
        `valueConverter` - the value converter, used for changing the value

  - ### Method Detail

    - #### apply

          public java.util.Map.Entry<K,VT> apply(java.util.Map.Entry<K,VS> object)

      Convert an object to another type.
      Specified by:
        `apply` in interface `java.util.function.Function<java.util.Map.Entry<K,VS>,java.util.Map.Entry<K,VT>>`
      Parameters:
        `object` - object to convert
      Returns:
        target object